Subject: Re: Print Chinese Banner in ASCII

From: "L.S.Ng" <[email-masked]>
Date: Wed, 13 Oct 1993 13:10:03 BST

> since I can always download the ascii file to vax for printing on high speed
> draft printer.  I guess I can write a program in BASIC to do what I want
> only if I know how to utilize the cclib.16 or chinese.16 file.

The Structure of cclib.16

Each Chinese character occupies 32 bytes. The size of the file give you
the total number of characters in the cclib.16 file.

In each block of 32 bytes, every two (consecutive) bytes make up 16 bits
which make up 1 row of the bitmap.  Each bit in a byte represents a dot
in the bitmap.  A one means the dot is set, a zero means the dot is
blank.16 row (2 byte each) make up 32 bytes bitmap for the character.

The characters are divided into regions of 94 characters. The first 7
regions are symbols. The eight region and so on are for Chinese
characters. The first Chinese character is "a1" and listed in phonetic
order (Guobiao standard).

So the first byte of the character "a1" is at

7x94x32 + 1 byte

... to be continued (if you want to know more)

LiangSheng WU